Part Helix/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Qui viene mostrato un oggetto Part Elica creato con l'esempio di scripting riportato di seguito.")
Line 34: Line 34:
[[Image:Part_Helix_Scripting_Example.png|thumb|Part Elica dall'esempio di scripting]]
[[Image:Part_Helix_Scripting_Example.png|thumb|Part Elica dall'esempio di scripting]]


Qui viene mostrato un oggetto Part Elica creato con l'[[#Script|esempio di scripting]] riportato di seguito.
A Part Helix object created with the [[#Scripting|scripting example]] below is shown here.


<span id="Notes"></span>
<span id="Notes"></span>

Revision as of 21:54, 2 January 2024

Part Elica

Posizione nel menu
Parte → Crea primitive → Elica
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Una Part Elica è una forma parametrica che può essere creata con il comando Part Primitive . Nel sistema di coordinate definito dalla sua proprietà DatiPlacement, l'asse dell'elica corrisponde all'asse Z e il suo punto inferiore, il punto iniziale, si trova sull'asse X.

Utilizzo

Vedere Part Primitive.

Esempio

Part Elica dall'esempio di scripting

Qui viene mostrato un oggetto Part Elica creato con l'esempio di scripting riportato di seguito.

Opzioni

Un uso comune della primitiva elica è per creare delle filettature insieme a un profilo chiuso e all'operazione Sweep. Questo processo funziona essenzialmente allo stesso modo in PartDesign utilizzando lo strumento Sweep additivo .

Properties

See also: Property editor.

A Part Helix object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Coordinate System

  • DatiLocal Coord (Enumeration): The handedness, or direction, of the helix: Right-handed or Left-handed. The default is Right-handed, meaning the helix turns counterclockwise as it goes up.

Helix

  • DatiPitch (Length): The distance between two consecutive turns of the helix measured along its Z axis. The default is 1mm.
  • DatiHeight (Length): The height of the helix. The default is 2mm.
  • DatiRadius (Length): The start radius of the helix. The helix has a constant radius if DatiAngle is .
  • DatiSegment Length (QuantityConstraint): The number of turns per helix subdivision. The default is 1, meaning each full turn of the helix is a separate segment. Use 0 to suppress subdivision.
  • DatiAngle (Angle): The angle that defines of the outer shape of the helix. Valid range: -90° < value < 90°. The default is . If it is the helix is cylindrical, else it is conical.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Helix can be created with the addObject() method of the document:

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Where "myHelix" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()